/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.model;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.model.impl.BaseModelImpl;

import java.io.Serializable;

import java.lang.reflect.Proxy;

/**
 * @author Brian Wing Shun Chan
 */
public class CalEventInvitationClp extends BaseModelImpl<CalEventInvitation>
	implements CalEventInvitation {
	public CalEventInvitationClp() {
	}

	public long getPrimaryKey() {
		return _CalEventInvitationId;
	}

	public void setPrimaryKey(long pk) {
		setCalEventInvitationId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_CalEventInvitationId);
	}

	public long getCalEventInvitationId() {
		return _CalEventInvitationId;
	}

	public void setCalEventInvitationId(long CalEventInvitationId) {
		_CalEventInvitationId = CalEventInvitationId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getCalEventCopyId() {
		return _calEventCopyId;
	}

	public void setCalEventCopyId(long calEventCopyId) {
		_calEventCopyId = calEventCopyId;
	}

	public CalEventInvitation toEscapedModel() {
		if (isEscapedModel()) {
			return this;
		}
		else {
			return (CalEventInvitation)Proxy.newProxyInstance(CalEventInvitation.class.getClassLoader(),
				new Class[] { CalEventInvitation.class },
				new AutoEscapeBeanHandler(this));
		}
	}

	public Object clone() {
		CalEventInvitationClp clone = new CalEventInvitationClp();

		clone.setCalEventInvitationId(getCalEventInvitationId());
		clone.setGroupId(getGroupId());
		clone.setCalEventCopyId(getCalEventCopyId());

		return clone;
	}

	public int compareTo(CalEventInvitation calEventInvitation) {
		long pk = calEventInvitation.getPrimaryKey();

		if (getPrimaryKey() < pk) {
			return -1;
		}
		else if (getPrimaryKey() > pk) {
			return 1;
		}
		else {
			return 0;
		}
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		CalEventInvitationClp calEventInvitation = null;

		try {
			calEventInvitation = (CalEventInvitationClp)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = calEventInvitation.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBundler sb = new StringBundler(7);

		sb.append("{CalEventInvitationId=");
		sb.append(getCalEventInvitationId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", calEventCopyId=");
		sb.append(getCalEventCopyId());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBundler sb = new StringBundler(13);

		sb.append("<model><model-name>");
		sb.append("nl.jteam.demo.model.CalEventInvitation");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>CalEventInvitationId</column-name><column-value><![CDATA[");
		sb.append(getCalEventInvitationId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>calEventCopyId</column-name><column-value><![CDATA[");
		sb.append(getCalEventCopyId());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _CalEventInvitationId;
	private long _groupId;
	private long _calEventCopyId;
}