/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.model;

import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the CalEventInvitation service. Represents a row in the &quot;JK_CalEventInvitation&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link nl.jteam.demo.model.impl.CalEventInvitationModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link nl.jteam.demo.model.impl.CalEventInvitationImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a cal event invitation model instance should use the {@link CalEventInvitation} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see CalEventInvitation
 * @see nl.jteam.demo.model.impl.CalEventInvitationImpl
 * @see nl.jteam.demo.model.impl.CalEventInvitationModelImpl
 * @generated
 */
public interface CalEventInvitationModel extends BaseModel<CalEventInvitation> {
	/**
	 * Gets the primary key of this cal event invitation.
	 *
	 * @return the primary key of this cal event invitation
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this cal event invitation
	 *
	 * @param pk the primary key of this cal event invitation
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the cal event invitation id of this cal event invitation.
	 *
	 * @return the cal event invitation id of this cal event invitation
	 */
	public long getCalEventInvitationId();

	/**
	 * Sets the cal event invitation id of this cal event invitation.
	 *
	 * @param CalEventInvitationId the cal event invitation id of this cal event invitation
	 */
	public void setCalEventInvitationId(long CalEventInvitationId);

	/**
	 * Gets the group id of this cal event invitation.
	 *
	 * @return the group id of this cal event invitation
	 */
	public long getGroupId();

	/**
	 * Sets the group id of this cal event invitation.
	 *
	 * @param groupId the group id of this cal event invitation
	 */
	public void setGroupId(long groupId);

	/**
	 * Gets the cal event copy id of this cal event invitation.
	 *
	 * @return the cal event copy id of this cal event invitation
	 */
	public long getCalEventCopyId();

	/**
	 * Sets the cal event copy id of this cal event invitation.
	 *
	 * @param calEventCopyId the cal event copy id of this cal event invitation
	 */
	public void setCalEventCopyId(long calEventCopyId);

	/**
	 * Gets a copy of this cal event invitation as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public CalEventInvitation toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(CalEventInvitation calEventInvitation);

	public int hashCode();

	public String toString();

	public String toXmlString();
}