/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * This class is used by
 * {@link nl.jteam.demo.service.http.CalEventInvitationServiceSoap}.
 * </p>
 *
 * @author    Brian Wing Shun Chan
 * @see       nl.jteam.demo.service.http.CalEventInvitationServiceSoap
 * @generated
 */
public class CalEventInvitationSoap implements Serializable {
	public static CalEventInvitationSoap toSoapModel(CalEventInvitation model) {
		CalEventInvitationSoap soapModel = new CalEventInvitationSoap();

		soapModel.setCalEventInvitationId(model.getCalEventInvitationId());
		soapModel.setGroupId(model.getGroupId());
		soapModel.setCalEventCopyId(model.getCalEventCopyId());

		return soapModel;
	}

	public static CalEventInvitationSoap[] toSoapModels(
		CalEventInvitation[] models) {
		CalEventInvitationSoap[] soapModels = new CalEventInvitationSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static CalEventInvitationSoap[][] toSoapModels(
		CalEventInvitation[][] models) {
		CalEventInvitationSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new CalEventInvitationSoap[models.length][models[0].length];
		}
		else {
			soapModels = new CalEventInvitationSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static CalEventInvitationSoap[] toSoapModels(
		List<CalEventInvitation> models) {
		List<CalEventInvitationSoap> soapModels = new ArrayList<CalEventInvitationSoap>(models.size());

		for (CalEventInvitation model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new CalEventInvitationSoap[soapModels.size()]);
	}

	public CalEventInvitationSoap() {
	}

	public long getPrimaryKey() {
		return _CalEventInvitationId;
	}

	public void setPrimaryKey(long pk) {
		setCalEventInvitationId(pk);
	}

	public long getCalEventInvitationId() {
		return _CalEventInvitationId;
	}

	public void setCalEventInvitationId(long CalEventInvitationId) {
		_CalEventInvitationId = CalEventInvitationId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getCalEventCopyId() {
		return _calEventCopyId;
	}

	public void setCalEventCopyId(long calEventCopyId) {
		_calEventCopyId = calEventCopyId;
	}

	private long _CalEventInvitationId;
	private long _groupId;
	private long _calEventCopyId;
}