/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ClassLoaderProxy;

/**
 * The utility for the cal event invitation local service. This utility wraps {@link nl.jteam.demo.service.impl.CalEventInvitationLocalServiceImpl} and is the primary access point for service operations in application layer code running on the local server.
 *
 * <p>
 * Never modify this class directly. Add custom service methods to {@link nl.jteam.demo.service.impl.CalEventInvitationLocalServiceImpl} and rerun ServiceBuilder to regenerate this class.
 * </p>
 *
 * <p>
 * This is a local service. Methods of this service will not have security checks based on the propagated JAAS credentials because this service can only be accessed from within the same VM.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see CalEventInvitationLocalService
 * @see nl.jteam.demo.service.base.CalEventInvitationLocalServiceBaseImpl
 * @see nl.jteam.demo.service.impl.CalEventInvitationLocalServiceImpl
 * @generated
 */
public class CalEventInvitationLocalServiceUtil {
	/**
	* Adds the cal event invitation to the database. Also notifies the appropriate model listeners.
	*
	* @param calEventInvitation the cal event invitation to add
	* @return the cal event invitation that was added
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation addCalEventInvitation(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().addCalEventInvitation(calEventInvitation);
	}

	/**
	* Creates a new cal event invitation with the primary key. Does not add the cal event invitation to the database.
	*
	* @param CalEventInvitationId the primary key for the new cal event invitation
	* @return the new cal event invitation
	*/
	public static nl.jteam.demo.model.CalEventInvitation createCalEventInvitation(
		long CalEventInvitationId) {
		return getService().createCalEventInvitation(CalEventInvitationId);
	}

	/**
	* Deletes the cal event invitation with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param CalEventInvitationId the primary key of the cal event invitation to delete
	* @throws PortalException if a cal event invitation with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static void deleteCalEventInvitation(long CalEventInvitationId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		getService().deleteCalEventInvitation(CalEventInvitationId);
	}

	/**
	* Deletes the cal event invitation from the database. Also notifies the appropriate model listeners.
	*
	* @param calEventInvitation the cal event invitation to delete
	* @throws SystemException if a system exception occurred
	*/
	public static void deleteCalEventInvitation(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation)
		throws com.liferay.portal.kernel.exception.SystemException {
		getService().deleteCalEventInvitation(calEventInvitation);
	}

	/**
	* Performs a dynamic query on the database and returns the matching rows.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQuery(dynamicQuery);
	}

	/**
	* Performs a dynamic query on the database and returns a range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @return the range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQuery(dynamicQuery, start, end);
	}

	/**
	* Performs a dynamic query on the database and returns an ordered range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService()
				   .dynamicQuery(dynamicQuery, start, end, orderByComparator);
	}

	/**
	* Counts the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	public static long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQueryCount(dynamicQuery);
	}

	/**
	* Gets the cal event invitation with the primary key.
	*
	* @param CalEventInvitationId the primary key of the cal event invitation to get
	* @return the cal event invitation
	* @throws PortalException if a cal event invitation with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation getCalEventInvitation(
		long CalEventInvitationId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return getService().getCalEventInvitation(CalEventInvitationId);
	}

	/**
	* Gets a range of all the cal event invitations.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of cal event invitations to return
	* @param end the upper bound of the range of cal event invitations to return (not inclusive)
	* @return the range of cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<nl.jteam.demo.model.CalEventInvitation> getCalEventInvitations(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().getCalEventInvitations(start, end);
	}

	/**
	* Gets the number of cal event invitations.
	*
	* @return the number of cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static int getCalEventInvitationsCount()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().getCalEventInvitationsCount();
	}

	/**
	* Updates the cal event invitation in the database. Also notifies the appropriate model listeners.
	*
	* @param calEventInvitation the cal event invitation to update
	* @return the cal event invitation that was updated
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation updateCalEventInvitation(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().updateCalEventInvitation(calEventInvitation);
	}

	/**
	* Updates the cal event invitation in the database. Also notifies the appropriate model listeners.
	*
	* @param calEventInvitation the cal event invitation to update
	* @param merge whether to merge the cal event invitation with the current session. See {@link com.liferay.portal.service.persistence.BatchSession#update(com.liferay.portal.kernel.dao.orm.Session, com.liferay.portal.model.BaseModel, boolean)} for an explanation.
	* @return the cal event invitation that was updated
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation updateCalEventInvitation(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation, boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().updateCalEventInvitation(calEventInvitation, merge);
	}

	public static nl.jteam.demo.model.CalEventInvitation createCalEventInvitation()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().createCalEventInvitation();
	}

	public static nl.jteam.demo.model.CalEventInvitation fetchByCalEventCopyId(
		long calEventCopyId)
		throws com.liferay.portal.kernel.exception.SystemException,
			nl.jteam.demo.NoSuchCalEventInvitationException {
		return getService().fetchByCalEventCopyId(calEventCopyId);
	}

	public static void clearService() {
		_service = null;
	}

	public static CalEventInvitationLocalService getService() {
		if (_service == null) {
			Object obj = PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					CalEventInvitationLocalService.class.getName());
			ClassLoader portletClassLoader = (ClassLoader)PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					"portletClassLoader");

			ClassLoaderProxy classLoaderProxy = new ClassLoaderProxy(obj,
					portletClassLoader);

			_service = new CalEventInvitationLocalServiceClp(classLoaderProxy);

			ClpSerializer.setClassLoader(portletClassLoader);
		}

		return _service;
	}

	public void setService(CalEventInvitationLocalService service) {
		_service = service;
	}

	private static CalEventInvitationLocalService _service;
}