/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.service.persistence;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.service.ServiceContext;

import nl.jteam.demo.model.CalEventInvitation;

import java.util.List;

/**
 * The persistence utility for the cal event invitation service. This utility wraps {@link CalEventInvitationPersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
 * </p>
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see CalEventInvitationPersistence
 * @see CalEventInvitationPersistenceImpl
 * @generated
 */
public class CalEventInvitationUtil {
	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
	 */
	public static void clearCache() {
		getPersistence().clearCache();
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
	 */
	public static void clearCache(CalEventInvitation calEventInvitation) {
		getPersistence().clearCache(calEventInvitation);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
	 */
	public long countWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().countWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
	 */
	public static List<CalEventInvitation> findWithDynamicQuery(
		DynamicQuery dynamicQuery) throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
	 */
	public static List<CalEventInvitation> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end)
		throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
	 */
	public static List<CalEventInvitation> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		return getPersistence()
				   .findWithDynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#remove(com.liferay.portal.model.BaseModel)
	 */
	public static CalEventInvitation remove(
		CalEventInvitation calEventInvitation) throws SystemException {
		return getPersistence().remove(calEventInvitation);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, boolean)
	 */
	public static CalEventInvitation update(
		CalEventInvitation calEventInvitation, boolean merge)
		throws SystemException {
		return getPersistence().update(calEventInvitation, merge);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, boolean, ServiceContext)
	 */
	public static CalEventInvitation update(
		CalEventInvitation calEventInvitation, boolean merge,
		ServiceContext serviceContext) throws SystemException {
		return getPersistence().update(calEventInvitation, merge, serviceContext);
	}

	/**
	* Caches the cal event invitation in the entity cache if it is enabled.
	*
	* @param calEventInvitation the cal event invitation to cache
	*/
	public static void cacheResult(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation) {
		getPersistence().cacheResult(calEventInvitation);
	}

	/**
	* Caches the cal event invitations in the entity cache if it is enabled.
	*
	* @param calEventInvitations the cal event invitations to cache
	*/
	public static void cacheResult(
		java.util.List<nl.jteam.demo.model.CalEventInvitation> calEventInvitations) {
		getPersistence().cacheResult(calEventInvitations);
	}

	/**
	* Creates a new cal event invitation with the primary key. Does not add the cal event invitation to the database.
	*
	* @param CalEventInvitationId the primary key for the new cal event invitation
	* @return the new cal event invitation
	*/
	public static nl.jteam.demo.model.CalEventInvitation create(
		long CalEventInvitationId) {
		return getPersistence().create(CalEventInvitationId);
	}

	/**
	* Removes the cal event invitation with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param CalEventInvitationId the primary key of the cal event invitation to remove
	* @return the cal event invitation that was removed
	* @throws nl.jteam.demo.NoSuchCalEventInvitationException if a cal event invitation with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation remove(
		long CalEventInvitationId)
		throws com.liferay.portal.kernel.exception.SystemException,
			nl.jteam.demo.NoSuchCalEventInvitationException {
		return getPersistence().remove(CalEventInvitationId);
	}

	public static nl.jteam.demo.model.CalEventInvitation updateImpl(
		nl.jteam.demo.model.CalEventInvitation calEventInvitation, boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().updateImpl(calEventInvitation, merge);
	}

	/**
	* Finds the cal event invitation with the primary key or throws a {@link nl.jteam.demo.NoSuchCalEventInvitationException} if it could not be found.
	*
	* @param CalEventInvitationId the primary key of the cal event invitation to find
	* @return the cal event invitation
	* @throws nl.jteam.demo.NoSuchCalEventInvitationException if a cal event invitation with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation findByPrimaryKey(
		long CalEventInvitationId)
		throws com.liferay.portal.kernel.exception.SystemException,
			nl.jteam.demo.NoSuchCalEventInvitationException {
		return getPersistence().findByPrimaryKey(CalEventInvitationId);
	}

	/**
	* Finds the cal event invitation with the primary key or returns <code>null</code> if it could not be found.
	*
	* @param CalEventInvitationId the primary key of the cal event invitation to find
	* @return the cal event invitation, or <code>null</code> if a cal event invitation with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation fetchByPrimaryKey(
		long CalEventInvitationId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPrimaryKey(CalEventInvitationId);
	}

	/**
	* Finds the cal event invitation where calEventCopyId = &#63; or throws a {@link nl.jteam.demo.NoSuchCalEventInvitationException} if it could not be found.
	*
	* @param calEventCopyId the cal event copy id to search with
	* @return the matching cal event invitation
	* @throws nl.jteam.demo.NoSuchCalEventInvitationException if a matching cal event invitation could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation findByCalEventCopyId(
		long calEventCopyId)
		throws com.liferay.portal.kernel.exception.SystemException,
			nl.jteam.demo.NoSuchCalEventInvitationException {
		return getPersistence().findByCalEventCopyId(calEventCopyId);
	}

	/**
	* Finds the cal event invitation where calEventCopyId = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
	*
	* @param calEventCopyId the cal event copy id to search with
	* @return the matching cal event invitation, or <code>null</code> if a matching cal event invitation could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation fetchByCalEventCopyId(
		long calEventCopyId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByCalEventCopyId(calEventCopyId);
	}

	/**
	* Finds the cal event invitation where calEventCopyId = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
	*
	* @param calEventCopyId the cal event copy id to search with
	* @return the matching cal event invitation, or <code>null</code> if a matching cal event invitation could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static nl.jteam.demo.model.CalEventInvitation fetchByCalEventCopyId(
		long calEventCopyId, boolean retrieveFromCache)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByCalEventCopyId(calEventCopyId, retrieveFromCache);
	}

	/**
	* Finds all the cal event invitations.
	*
	* @return the cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<nl.jteam.demo.model.CalEventInvitation> findAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll();
	}

	/**
	* Finds a range of all the cal event invitations.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of cal event invitations to return
	* @param end the upper bound of the range of cal event invitations to return (not inclusive)
	* @return the range of cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<nl.jteam.demo.model.CalEventInvitation> findAll(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end);
	}

	/**
	* Finds an ordered range of all the cal event invitations.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of cal event invitations to return
	* @param end the upper bound of the range of cal event invitations to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<nl.jteam.demo.model.CalEventInvitation> findAll(
		int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end, orderByComparator);
	}

	/**
	* Removes the cal event invitation where calEventCopyId = &#63; from the database.
	*
	* @param calEventCopyId the cal event copy id to search with
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByCalEventCopyId(long calEventCopyId)
		throws com.liferay.portal.kernel.exception.SystemException,
			nl.jteam.demo.NoSuchCalEventInvitationException {
		getPersistence().removeByCalEventCopyId(calEventCopyId);
	}

	/**
	* Removes all the cal event invitations from the database.
	*
	* @throws SystemException if a system exception occurred
	*/
	public static void removeAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeAll();
	}

	/**
	* Counts all the cal event invitations where calEventCopyId = &#63;.
	*
	* @param calEventCopyId the cal event copy id to search with
	* @return the number of matching cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static int countByCalEventCopyId(long calEventCopyId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByCalEventCopyId(calEventCopyId);
	}

	/**
	* Counts all the cal event invitations.
	*
	* @return the number of cal event invitations
	* @throws SystemException if a system exception occurred
	*/
	public static int countAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countAll();
	}

	public static CalEventInvitationPersistence getPersistence() {
		if (_persistence == null) {
			_persistence = (CalEventInvitationPersistence)PortletBeanLocatorUtil.locate(nl.jteam.demo.service.ClpSerializer.SERVLET_CONTEXT_NAME,
					CalEventInvitationPersistence.class.getName());
		}

		return _persistence;
	}

	public void setPersistence(CalEventInvitationPersistence persistence) {
		_persistence = persistence;
	}

	private static CalEventInvitationPersistence _persistence;
}