/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.model.impl;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import nl.jteam.demo.model.CalEventInvitation;
import nl.jteam.demo.model.CalEventInvitationModel;
import nl.jteam.demo.model.CalEventInvitationSoap;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.sql.Types;

import java.util.ArrayList;
import java.util.List;

/**
 * The base model implementation for the CalEventInvitation service. Represents a row in the &quot;JK_CalEventInvitation&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This implementation and its corresponding interface {@link nl.jteam.demo.model.CalEventInvitationModel} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link CalEventInvitationImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this class directly. All methods that expect a cal event invitation model instance should use the {@link nl.jteam.demo.model.CalEventInvitation} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see CalEventInvitationImpl
 * @see nl.jteam.demo.model.CalEventInvitation
 * @see nl.jteam.demo.model.CalEventInvitationModel
 * @generated
 */
public class CalEventInvitationModelImpl extends BaseModelImpl<CalEventInvitation>
	implements CalEventInvitationModel {
	public static final String TABLE_NAME = "JK_CalEventInvitation";
	public static final Object[][] TABLE_COLUMNS = {
			{ "CalEventInvitationId", new Integer(Types.BIGINT) },
			{ "groupId", new Integer(Types.BIGINT) },
			{ "calEventCopyId", new Integer(Types.BIGINT) }
		};
	public static final String TABLE_SQL_CREATE = "create table JK_CalEventInvitation (CalEventInvitationId LONG not null primary key,groupId LONG,calEventCopyId LONG)";
	public static final String TABLE_SQL_DROP = "drop table JK_CalEventInvitation";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.entity.cache.enabled.nl.jteam.demo.model.CalEventInvitation"),
			true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.finder.cache.enabled.nl.jteam.demo.model.CalEventInvitation"),
			true);

	/**
	 * Converts the soap model instance into a normal model instance.
	 *
	 * @param soapModel the soap model instance to convert
	 * @return the normal model instance
	 */
	public static CalEventInvitation toModel(CalEventInvitationSoap soapModel) {
		CalEventInvitation model = new CalEventInvitationImpl();

		model.setCalEventInvitationId(soapModel.getCalEventInvitationId());
		model.setGroupId(soapModel.getGroupId());
		model.setCalEventCopyId(soapModel.getCalEventCopyId());

		return model;
	}

	/**
	 * Converts the soap model instances into normal model instances.
	 *
	 * @param soapModels the soap model instances to convert
	 * @return the normal model instances
	 */
	public static List<CalEventInvitation> toModels(
		CalEventInvitationSoap[] soapModels) {
		List<CalEventInvitation> models = new ArrayList<CalEventInvitation>(soapModels.length);

		for (CalEventInvitationSoap soapModel : soapModels) {
			models.add(toModel(soapModel));
		}

		return models;
	}

	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
				"lock.expiration.time.nl.jteam.demo.model.CalEventInvitation"));

	public CalEventInvitationModelImpl() {
	}

	public long getPrimaryKey() {
		return _CalEventInvitationId;
	}

	public void setPrimaryKey(long pk) {
		setCalEventInvitationId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_CalEventInvitationId);
	}

	public long getCalEventInvitationId() {
		return _CalEventInvitationId;
	}

	public void setCalEventInvitationId(long CalEventInvitationId) {
		_CalEventInvitationId = CalEventInvitationId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getCalEventCopyId() {
		return _calEventCopyId;
	}

	public void setCalEventCopyId(long calEventCopyId) {
		_calEventCopyId = calEventCopyId;

		if (!_setOriginalCalEventCopyId) {
			_setOriginalCalEventCopyId = true;

			_originalCalEventCopyId = calEventCopyId;
		}
	}

	public long getOriginalCalEventCopyId() {
		return _originalCalEventCopyId;
	}

	public CalEventInvitation toEscapedModel() {
		if (isEscapedModel()) {
			return (CalEventInvitation)this;
		}
		else {
			return (CalEventInvitation)Proxy.newProxyInstance(CalEventInvitation.class.getClassLoader(),
				new Class[] { CalEventInvitation.class },
				new AutoEscapeBeanHandler(this));
		}
	}

	public ExpandoBridge getExpandoBridge() {
		if (_expandoBridge == null) {
			_expandoBridge = ExpandoBridgeFactoryUtil.getExpandoBridge(0,
					CalEventInvitation.class.getName(), getPrimaryKey());
		}

		return _expandoBridge;
	}

	public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
		getExpandoBridge().setAttributes(serviceContext);
	}

	public Object clone() {
		CalEventInvitationImpl clone = new CalEventInvitationImpl();

		clone.setCalEventInvitationId(getCalEventInvitationId());
		clone.setGroupId(getGroupId());
		clone.setCalEventCopyId(getCalEventCopyId());

		return clone;
	}

	public int compareTo(CalEventInvitation calEventInvitation) {
		long pk = calEventInvitation.getPrimaryKey();

		if (getPrimaryKey() < pk) {
			return -1;
		}
		else if (getPrimaryKey() > pk) {
			return 1;
		}
		else {
			return 0;
		}
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		CalEventInvitation calEventInvitation = null;

		try {
			calEventInvitation = (CalEventInvitation)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = calEventInvitation.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBundler sb = new StringBundler(7);

		sb.append("{CalEventInvitationId=");
		sb.append(getCalEventInvitationId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", calEventCopyId=");
		sb.append(getCalEventCopyId());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBundler sb = new StringBundler(13);

		sb.append("<model><model-name>");
		sb.append("nl.jteam.demo.model.CalEventInvitation");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>CalEventInvitationId</column-name><column-value><![CDATA[");
		sb.append(getCalEventInvitationId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>calEventCopyId</column-name><column-value><![CDATA[");
		sb.append(getCalEventCopyId());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _CalEventInvitationId;
	private long _groupId;
	private long _calEventCopyId;
	private long _originalCalEventCopyId;
	private boolean _setOriginalCalEventCopyId;
	private transient ExpandoBridge _expandoBridge;
}