/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package nl.jteam.demo.service.impl;

import nl.jteam.demo.service.base.CalEventInvitationServiceBaseImpl;

/**
 * The implementation of the cal event invitation remote service.
 *
 * <p>
 * All custom service methods should be put in this class. Whenever methods are added, rerun ServiceBuilder to copy their definitions into the {@link nl.jteam.demo.service.CalEventInvitationService} interface.
 * </p>
 *
 * <p>
 * Never reference this interface directly. Always use {@link nl.jteam.demo.service.CalEventInvitationServiceUtil} to access the cal event invitation remote service.
 * </p>
 *
 * <p>
 * This is a remote service. Methods of this service are expected to have security checks based on the propagated JAAS credentials because this service can be accessed remotely.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see nl.jteam.demo.service.base.CalEventInvitationServiceBaseImpl
 * @see nl.jteam.demo.service.CalEventInvitationServiceUtil
 */
public class CalEventInvitationServiceImpl
	extends CalEventInvitationServiceBaseImpl {



}